OSINT Lookups
Minecraft Username History
Retrieves username history for a Minecraft account.
Note: This endpoint may be unavailable due to upstream API issues.
GET
https://oathnet.org/api
/
service
/
mc-history
Minecraft Username History
curl --request GET \
--url https://oathnet.org/api/service/mc-history \
--header 'x-api-key: <api-key>'import requests
url = "https://oathnet.org/api/service/mc-history"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://oathnet.org/api/service/mc-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"uuid": "<string>",
"username": "<string>",
"history": [
{
"username": "<string>",
"changed_at": "2023-11-07T05:31:56Z"
}
],
"_meta": {
"user": {
"plan": "Pro",
"plan_type": "pro",
"is_plan_active": true
},
"lookups": {
"used_today": 5,
"left_today": 995,
"daily_limit": 1000,
"is_unlimited": false
},
"service": {
"name": "Service Name",
"id": "service-id",
"category": "general",
"is_premium": false,
"is_available": true,
"session_quota": 10
},
"performance": {
"duration_ms": 111.47,
"timestamp": "2026-01-06T00:44:08.191547"
}
}
}
}{
"success": false,
"message": "Discord user not found.",
"errors": {
"error": "Discord user not found.",
"status_code": 404,
"_meta": {
"user": {
"plan": "Pro",
"plan_type": "pro",
"is_plan_active": true
},
"lookups": {
"used_today": 5,
"left_today": 995,
"daily_limit": 1000,
"is_unlimited": false
},
"service": {
"name": "Service Name",
"id": "service-id",
"category": "general",
"is_premium": false,
"is_available": true,
"session_quota": 10
},
"performance": {
"duration_ms": 508.81,
"timestamp": "2026-01-06T01:07:27.981019"
}
}
}
}⌘I
Minecraft Username History
